Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class SecurityConfig

    java.lang.Object
      org.acegisecurity.SecurityConfig

All Implemented Interfaces:
  Serializable, ConfigAttribute

    public class SecurityConfig

extends Object
implements ConfigAttribute

Stores a `ConfigAttribute` as a `String`.

Version:
  $Id: SecurityConfig.java,v 1.4 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`protected` | `SecurityConfig()`
`` | `SecurityConfig(String config)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAttribute()` If the `ConfigAttribute` can be represented as a `String` and that `String` is sufficient in precision to be relied upon as a configuration parameter by a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate, this method should return such a `String`.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityConfig

    public SecurityConfig(String config)

### SecurityConfig

    protected SecurityConfig()

Method Detail

### getAttribute

    public String getAttribute()

  Description copied from interface: `ConfigAttribute`
  If the `ConfigAttribute` can be represented as a `String` and that `String` is sufficient in precision to be relied upon as a configuration parameter by a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate, this method should return such a `String`.

  If the `ConfigAttribute` cannot be expressed with sufficient precision as a `String`, `null` should be returned. Returning `null` will require any relying classes to specifically support the `ConfigAttribute` implementation, so returning `null` should be avoided unless actually required.

  Specified by:
    `getAttribute` in interface `ConfigAttribute`
  Returns:
    a representation of the configuration attribute (or `null` if the configuration attribute cannot be expressed as a `String` with sufficient precision).

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.